Subject: [netatalk-admins] HELP: Using encrypted passwords (RAND2NUM)

From: "Patrick Gibson" <[email-masked]>
Date: Fri, 26 Feb 1999 11:21:45 -0800

I have installed netatalk with DES support and I would like to use encrypted
logins with the -RAND2NUM option. When I go to login to the server from my
Mac, I get the following error in my /var/log/messages file:

Feb 26 11:15:30 obsidian afpd[27856]: Failed to open /home/patrick/.passwd

Do I have to create some sort of special password file? How come it does
just use /etc/passwd?

I've search high and low on the net for an answer to the question, but all I
found was other people asking the same question. In any of the replies I've
read to other people's questions, no one has ever mentioned anything about
the ~/.passwd file. How do I create it? Is there any documentation on this?
I can't find anything in the man pages that remotely relates to this.

Any help would be appreciated,

Thanks,

Patrick

--[ iMac therefore I am ]------------------+
 patrick gibson ( patrick @ firstweb.com )
 http://www.firstweb.com
 tel: 604.646.0467 / fax: 604.646.0468
-----------------------------[ got iMac? ]-+

---

From: Magnus Stenman <[email-masked]>
Date: Sun, 28 Feb 1999 15:31:33 +0100

You don't have to search the net for the answer...
look in README.ASUN (in the asun tarball):

...
i've added Randnum and 2-Way Randnum support. part of the code is
compliments of<[email-masked]>. as afp doesn't do the
fallback thing in case of failure, Randnum and 2-Way Randnum
are only available via afpd.conf. To get them to work, each
user must have a ~/.passwd file (not read-/writeable by anyone
else) with a password. this is a potential security problem as
root can read the password. this may be compensated, to some
extent, by the fact that your password never goes onto the wire
when mounting a volume.
...

/magnus